"""Add AADP Purchase Steps

Revision ID: 50979d8ef680
Revises: cd7e3f9a5d64
Create Date: 2020-01-30 17:00:27.916639

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = "50979d8ef680"  # pragma: allowlist secret
down_revision = "cd7e3f9a5d64"  # pragma: allowlist secret
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "portfolio_state_machines",
        "state",
        type_=sa.Enum(
            "UNSTARTED",
            "STARTING",
            "STARTED",
            "COMPLETED",
            "FAILED",
            "TENANT_CREATED",
            "TENANT_IN_PROGRESS",
            "TENANT_FAILED",
            "BILLING_PROFILE_CREATION_CREATED",
            "BILLING_PROFILE_CREATION_IN_PROGRESS",
            "BILLING_PROFILE_CREATION_FAILED",
            "BILLING_PROFILE_VERIFICATION_CREATED",
            "BILLING_PROFILE_VERIFICATION_IN_PROGRESS",
            "BILLING_PROFILE_VERIFICATION_FAILED",
            "BILLING_PROFILE_TENANT_ACCESS_CREATED",
            "BILLING_PROFILE_TENANT_ACCESS_IN_PROGRESS",
            "BILLING_PROFILE_TENANT_ACCESS_FAILED",
            "TASK_ORDER_BILLING_CREATION_CREATED",
            "TASK_ORDER_BILLING_CREATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_CREATION_FAILED",
            "TASK_ORDER_BILLING_VERIFICATION_CREATED",
            "TASK_ORDER_BILLING_VERIFICATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_VERIFICATION_FAILED",
            "BILLING_INSTRUCTION_CREATED",
            "BILLING_INSTRUCTION_IN_PROGRESS",
            "BILLING_INSTRUCTION_FAILED",
            "PRODUCT_PURCHASE_CREATED",
            "PRODUCT_PURCHASE_IN_PROGRESS",
            "PRODUCT_PURCHASE_FAILED",
            "PRODUCT_PURCHASE_VERIFICATION_CREATED",
            "PRODUCT_PURCHASE_VERIFICATION_IN_PROGRESS",
            "PRODUCT_PURCHASE_VERIFICATION_FAILED",
            "TENANT_PRINCIPAL_APP_CREATED",
            "TENANT_PRINCIPAL_APP_IN_PROGRESS",
            "TENANT_PRINCIPAL_APP_FAILED",
            "TENANT_PRINCIPAL_CREATED",
            "TENANT_PRINCIPAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_FAILED",
            "TENANT_PRINCIPAL_CREDENTIAL_CREATED",
            "TENANT_PRINCIPAL_CREDENTIAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_CREDENTIAL_FAILED",
            "ADMIN_ROLE_DEFINITION_CREATED",
            "ADMIN_ROLE_DEFINITION_IN_PROGRESS",
            "ADMIN_ROLE_DEFINITION_FAILED",
            "PRINCIPAL_ADMIN_ROLE_CREATED",
            "PRINCIPAL_ADMIN_ROLE_IN_PROGRESS",
            "PRINCIPAL_ADMIN_ROLE_FAILED",
            "TENANT_ADMIN_OWNERSHIP_CREATED",
            "TENANT_ADMIN_OWNERSHIP_IN_PROGRESS",
            "TENANT_ADMIN_OWNERSHIP_FAILED",
            "TENANT_PRINCIPAL_OWNERSHIP_CREATED",
            "TENANT_PRINCIPAL_OWNERSHIP_IN_PROGRESS",
            "TENANT_PRINCIPAL_OWNERSHIP_FAILED",
            name="fsmstates",
            native_enum=False,
        ),
        existing_type=sa.Enum(
            "UNSTARTED",
            "STARTING",
            "STARTED",
            "COMPLETED",
            "FAILED",
            "TENANT_CREATED",
            "TENANT_IN_PROGRESS",
            "TENANT_FAILED",
            "BILLING_PROFILE_CREATION_CREATED",
            "BILLING_PROFILE_CREATION_IN_PROGRESS",
            "BILLING_PROFILE_CREATION_FAILED",
            "BILLING_PROFILE_VERIFICATION_CREATED",
            "BILLING_PROFILE_VERIFICATION_IN_PROGRESS",
            "BILLING_PROFILE_VERIFICATION_FAILED",
            "BILLING_PROFILE_TENANT_ACCESS_CREATED",
            "BILLING_PROFILE_TENANT_ACCESS_IN_PROGRESS",
            "BILLING_PROFILE_TENANT_ACCESS_FAILED",
            "TASK_ORDER_BILLING_CREATION_CREATED",
            "TASK_ORDER_BILLING_CREATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_CREATION_FAILED",
            "TASK_ORDER_BILLING_VERIFICATION_CREATED",
            "TASK_ORDER_BILLING_VERIFICATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_VERIFICATION_FAILED",
            "BILLING_INSTRUCTION_CREATED",
            "BILLING_INSTRUCTION_IN_PROGRESS",
            "BILLING_INSTRUCTION_FAILED",
            "TENANT_PRINCIPAL_APP_CREATED",
            "TENANT_PRINCIPAL_APP_IN_PROGRESS",
            "TENANT_PRINCIPAL_APP_FAILED",
            "TENANT_PRINCIPAL_CREATED",
            "TENANT_PRINCIPAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_FAILED",
            "TENANT_PRINCIPAL_CREDENTIAL_CREATED",
            "TENANT_PRINCIPAL_CREDENTIAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_CREDENTIAL_FAILED",
            "ADMIN_ROLE_DEFINITION_CREATED",
            "ADMIN_ROLE_DEFINITION_IN_PROGRESS",
            "ADMIN_ROLE_DEFINITION_FAILED",
            "PRINCIPAL_ADMIN_ROLE_CREATED",
            "PRINCIPAL_ADMIN_ROLE_IN_PROGRESS",
            "PRINCIPAL_ADMIN_ROLE_FAILED",
            "TENANT_ADMIN_OWNERSHIP_CREATED",
            "TENANT_ADMIN_OWNERSHIP_IN_PROGRESS",
            "TENANT_ADMIN_OWNERSHIP_FAILED",
            "TENANT_PRINCIPAL_OWNERSHIP_CREATED",
            "TENANT_PRINCIPAL_OWNERSHIP_IN_PROGRESS",
            "TENANT_PRINCIPAL_OWNERSHIP_FAILED",
            name="fsmstates",
            native_enum=False,
        ),
        existing_nullable=False,
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "portfolio_state_machines",
        "state",
        type_=sa.Enum(
            "UNSTARTED",
            "STARTING",
            "STARTED",
            "COMPLETED",
            "FAILED",
            "TENANT_CREATED",
            "TENANT_IN_PROGRESS",
            "TENANT_FAILED",
            "BILLING_PROFILE_CREATION_CREATED",
            "BILLING_PROFILE_CREATION_IN_PROGRESS",
            "BILLING_PROFILE_CREATION_FAILED",
            "BILLING_PROFILE_VERIFICATION_CREATED",
            "BILLING_PROFILE_VERIFICATION_IN_PROGRESS",
            "BILLING_PROFILE_VERIFICATION_FAILED",
            "BILLING_PROFILE_TENANT_ACCESS_CREATED",
            "BILLING_PROFILE_TENANT_ACCESS_IN_PROGRESS",
            "BILLING_PROFILE_TENANT_ACCESS_FAILED",
            "TASK_ORDER_BILLING_CREATION_CREATED",
            "TASK_ORDER_BILLING_CREATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_CREATION_FAILED",
            "TASK_ORDER_BILLING_VERIFICATION_CREATED",
            "TASK_ORDER_BILLING_VERIFICATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_VERIFICATION_FAILED",
            "BILLING_INSTRUCTION_CREATED",
            "BILLING_INSTRUCTION_IN_PROGRESS",
            "BILLING_INSTRUCTION_FAILED",
            "TENANT_PRINCIPAL_APP_CREATED",
            "TENANT_PRINCIPAL_APP_IN_PROGRESS",
            "TENANT_PRINCIPAL_APP_FAILED",
            "TENANT_PRINCIPAL_CREATED",
            "TENANT_PRINCIPAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_FAILED",
            "TENANT_PRINCIPAL_CREDENTIAL_CREATED",
            "TENANT_PRINCIPAL_CREDENTIAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_CREDENTIAL_FAILED",
            "ADMIN_ROLE_DEFINITION_CREATED",
            "ADMIN_ROLE_DEFINITION_IN_PROGRESS",
            "ADMIN_ROLE_DEFINITION_FAILED",
            "PRINCIPAL_ADMIN_ROLE_CREATED",
            "PRINCIPAL_ADMIN_ROLE_IN_PROGRESS",
            "PRINCIPAL_ADMIN_ROLE_FAILED",
            "TENANT_ADMIN_OWNERSHIP_CREATED",
            "TENANT_ADMIN_OWNERSHIP_IN_PROGRESS",
            "TENANT_ADMIN_OWNERSHIP_FAILED",
            "TENANT_PRINCIPAL_OWNERSHIP_CREATED",
            "TENANT_PRINCIPAL_OWNERSHIP_IN_PROGRESS",
            "TENANT_PRINCIPAL_OWNERSHIP_FAILED",
            name="fsmstates",
            native_enum=False,
        ),
        existing_type=sa.Enum(
            "UNSTARTED",
            "STARTING",
            "STARTED",
            "COMPLETED",
            "FAILED",
            "TENANT_CREATED",
            "TENANT_IN_PROGRESS",
            "TENANT_FAILED",
            "BILLING_PROFILE_CREATION_CREATED",
            "BILLING_PROFILE_CREATION_IN_PROGRESS",
            "BILLING_PROFILE_CREATION_FAILED",
            "BILLING_PROFILE_VERIFICATION_CREATED",
            "BILLING_PROFILE_VERIFICATION_IN_PROGRESS",
            "BILLING_PROFILE_VERIFICATION_FAILED",
            "BILLING_PROFILE_TENANT_ACCESS_CREATED",
            "BILLING_PROFILE_TENANT_ACCESS_IN_PROGRESS",
            "BILLING_PROFILE_TENANT_ACCESS_FAILED",
            "TASK_ORDER_BILLING_CREATION_CREATED",
            "TASK_ORDER_BILLING_CREATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_CREATION_FAILED",
            "TASK_ORDER_BILLING_VERIFICATION_CREATED",
            "TASK_ORDER_BILLING_VERIFICATION_IN_PROGRESS",
            "TASK_ORDER_BILLING_VERIFICATION_FAILED",
            "BILLING_INSTRUCTION_CREATED",
            "BILLING_INSTRUCTION_IN_PROGRESS",
            "BILLING_INSTRUCTION_FAILED",
            "PRODUCT_PURCHASE_CREATED",
            "PRODUCT_PURCHASE_IN_PROGRESS",
            "PRODUCT_PURCHASE_FAILED",
            "PRODUCT_PURCHASE_VERIFICATION_CREATED",
            "PRODUCT_PURCHASE_VERIFICATION_IN_PROGRESS",
            "PRODUCT_PURCHASE_VERIFICATION_FAILED",
            "TENANT_PRINCIPAL_APP_CREATED",
            "TENANT_PRINCIPAL_APP_IN_PROGRESS",
            "TENANT_PRINCIPAL_APP_FAILED",
            "TENANT_PRINCIPAL_CREATED",
            "TENANT_PRINCIPAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_FAILED",
            "TENANT_PRINCIPAL_CREDENTIAL_CREATED",
            "TENANT_PRINCIPAL_CREDENTIAL_IN_PROGRESS",
            "TENANT_PRINCIPAL_CREDENTIAL_FAILED",
            "ADMIN_ROLE_DEFINITION_CREATED",
            "ADMIN_ROLE_DEFINITION_IN_PROGRESS",
            "ADMIN_ROLE_DEFINITION_FAILED",
            "PRINCIPAL_ADMIN_ROLE_CREATED",
            "PRINCIPAL_ADMIN_ROLE_IN_PROGRESS",
            "PRINCIPAL_ADMIN_ROLE_FAILED",
            "TENANT_ADMIN_OWNERSHIP_CREATED",
            "TENANT_ADMIN_OWNERSHIP_IN_PROGRESS",
            "TENANT_ADMIN_OWNERSHIP_FAILED",
            "TENANT_PRINCIPAL_OWNERSHIP_CREATED",
            "TENANT_PRINCIPAL_OWNERSHIP_IN_PROGRESS",
            "TENANT_PRINCIPAL_OWNERSHIP_FAILED",
            name="fsmstates",
            native_enum=False,
        ),
        existing_nullable=False,
    )
    # ### end Alembic commands ###
